package Bot;

import java.io.IOException;
import java.util.Scanner;


public class Rumblebot extends Bot {

    public Rumblebot(String[] args) {
        super(args);
    }

    @Override
    protected char nextMove(View view) throws IOException {
        System.out.println(" (w: Forward, s: Backward, a: Left, d: Right, q: Quit): ");
        Scanner scan= new Scanner(System.in);
        //BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        // String input = reader.readLine().trim();

        String command =   scan.nextLine();

        switch (command) {
            case "w":
                return '^';
            case "s":
                return 'v';
            case "a":
                return '<';
            case "d":
                return '>';
            case "q":
                System.out.println("Connection terminated by user.");
                throw new IOException("Connection terminated by user.");
            default:
                System.out.println("Invalid command. Try again.");

        }
        return 'q';
    }


    public static void main(String[] args) {
        Rumblebot rumblebot = new Rumblebot(args);
        rumblebot.run();
    }
}
