package Praktikum4;

import java.util.concurrent.Semaphore;

class Philosopher implements Runnable{

    protected int id;
    protected final Fork left;
    protected final Fork right;

    public Philosopher(int id,Fork left,Fork rigth){
        this.id=id;
        this.left=left;
        this.right=rigth;
    }
    private void tryToGetFork(Fork fork, String forkType) {

        System.out.println("Philosopher " + id + " is trying to get " + forkType + " fork " + fork.getId());
        while (!fork.take()) {
            Thread.yield(); // Busy wait, um die CPU zu entlasten
        }
        System.out.println("Philosopher " + id + " got " + forkType + " fork " + fork.getId());
    }

    @Override
    public void run() {
        try {
            Fork firstFork;
            Fork secondFork;

            if (left.getId() < right.getId()) {
                firstFork = left;
                secondFork = right;
            } else {
                firstFork = right;
                secondFork = left;
            }


            tryToGetFork(firstFork, "first");


            tryToGetFork(secondFork, "second");
            System.out.println("Philosopher " + id + " is eating");


            Thread.sleep(2000);


            left.put();
            right.put();


            System.out.println("Philosopher " + id + " finished eating");
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
