package Praktikum4;

public class Fork {

    private boolean inUse=false;
    private final int id;

    public Fork(int id){
        this.id=id;
    }

    public int getId(){
        return id;
    }


    public  boolean take(){
        try {
            //kurz warten
            Thread.sleep(1000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }

        synchronized (this) {
            if (!inUse) {
                inUse=true;
                return true;
            } else {
                //System.out.println("Keine Gabel frei");
                return false;
            }
        }
    }

    public void put(){
        synchronized (this) {
            inUse = false;
        }
    }

    public boolean isInUse() {
        return inUse;
    }
}
